GET /api/v3/applications/constants/application-classes¶
Summary¶
GET /applications/constants/application-classes
Description¶
Return a list of allowed application classes
Tags: applications
Parameters¶
Header Parameters¶
| Name | Type | Required | Description | Example |
|---|---|---|---|---|
Authorization |
string |
✓ Yes | Bearer {AuthToken} |
|
Content-Type |
string |
✓ Yes | application/json |
|
Accept |
string |
✓ Yes | application/json |
|
AppIdV3 |
string |
✓ Yes | LCUID-LAP-********-****-****-****-************ |
Responses¶
Response: 200¶
Content Type: application/json¶
Schema¶
Type: object
Properties:
success(boolean)application_classes(array)-
Array items:
objectType:objectProperties:
class(string)class_name(string)class_description(string)
Example Response¶
{
"success": true,
"application_classes": [
{
"class": "App\\LuCore\\Applications\\PrivateApplicationClass",
"class_name": "Private",
"class_description": "Only you and other members of this application can add it to accounts"
},
{
"class": "App\\LuCore\\Applications\\ThirdPartyApplicationClass",
"class_name": "Third Party",
"class_description": "This application allows third party users to add it to their accounts"
}
]
}
Example Implementations¶
Bash (cURL)¶
curl --request GET \
--get "https://api.lucit.app/api/v3/applications/constants/application-classes" \
--header "Authorization: Bearer {AuthToken}" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "AppIdV3: LCUID-LAP-********-****-****-****-************"
JavaScript (Fetch API)¶
const url = new URL(
"https://api.lucit.app/api/v3/applications/constants/application-classes"
);
const headers = {
"Authorization": "Bearer {AuthToken}",
"Content-Type": "application/json",
"Accept": "application/json",
"AppIdV3": "LCUID-LAP-********-****-****-****-************",
};
fetch(url, {
method: "GET",
headers,
}).then(response => response.json());
PHP (Guzzle)¶
$client = new \GuzzleHttp\Client();
$response = $client->get(
'https://api.lucit.app/api/v3/applications/constants/application-classes',
[
'headers' => [
'Authorization' => 'Bearer {AuthToken}',
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
],
]
);
$body = $response->getBody();
print_r(json_decode((string) $body));
Python (Requests)¶
import requests
import json
url = 'https://api.lucit.app/api/v3/applications/constants/application-classes'
headers = {
'Authorization': 'Bearer {AuthToken}',
'Content-Type': 'application/json',
'Accept': 'application/json',
'AppIdV3': 'LCUID-LAP-********-****-****-****-************'
}
response = requests.request('GET', url, headers=headers)
response.json()
Example Responses¶
200 Response¶
{
"success": true,
"application_classes": [
{
"class": "App\\LuCore\\Applications\\PrivateApplicationClass",
"class_name": "Private",
"class_description": "Only you and other members of this application can add it to accounts"
},
{
"class": "App\\LuCore\\Applications\\ThirdPartyApplicationClass",
"class_name": "Third Party",
"class_description": "This application allows third party users to add it to their accounts"
}
]
}